Skip to main content
GET
/
v1
/
stocks
/
congress
/
recent-trades
Get Congress Trades
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/congress/recent-trades \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "amounts": "<string>",
      "filing_date": "<string>",
      "is_active": true,
      "issuer": "<string>",
      "member_type": "<string>",
      "name": "<string>",
      "notes": "<string>",
      "observed_at": 123,
      "politician_id": "<string>",
      "reporter": "<string>",
      "symbol": "<string>",
      "transaction_date": "<string>",
      "transaction_type": "<string>"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

name
string

Politician name (partial match)

symbol
string

Stock symbol

tag
enum<string>

Chamber filter: senate, house, all

Available options:
senate,
house,
all
transaction_type
string

Transaction type filter (e.g. Purchase, Sale, Sale (Full), Sale (Partial))

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

time_type
enum<string>
required

Filter time type

Available options:
TRANSACTION_DATE,
FILING_DATE,
OBSERVED_AT
limit
integer

Maximum results (1-1000, default 100)

Response

Successfully retrieved congress trades

data
object[]
error
object
pagination
any
request_id
string
success
boolean